Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class ApplicationResource

    java.lang.Object
      |
      +--weblogic.security.service.ResourceBase
            |
            +--weblogic.security.service.ApplicationResource

public final class ApplicationResource
extends ResourceBase

The `ApplicationResource` class is used by a container to specify the Application resource (and method related to the resource) for which a security policy is being defined, or that a caller is attempting to access.

The `toString` format (which is produced by the `ResourceBase` class) for an Application resource is:
`type=<app>, application=myApp`

This resource is primarily used in the creation of a security policy for an application that contains multiple, different types of components. In particular, it should be used to define a security policy that is applied equally to all components of an application, instead of to any specific component of the application.

Author:
  Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Constructor Summary
`ApplicationResource()` Deprecated. As of 04/01/02.
`ApplicationResource(java.lang.String application)` Constructs a new `ApplicationResource` with a target name composed from the `application` parameter.
`ApplicationResource(java.lang.String application, Resource parent)` Create an `ApplicationResource` who's parent resource is passed in.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this resource to the resource in the specified object.
`java.lang.String` | `getApplicationName()` Gets the name associated with the `ApplicationResource`.
`java.lang.String[]` | `getKeys()` Gets keys for the `ApplicationResource`.
`java.lang.String` | `getType()` Gets the type of this resource (`ApplicationResource`).
`void` | `initialize(java.lang.String application)` Deprecated. As of 04/01/02, the constructor should be used instead.
`protected Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current `ApplicationResource`.
`void` | `reset()` Deprecated. As of 04/01/02.

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, getFieldType, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, toString, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationResource

    public ApplicationResource(java.lang.String application)

  Constructs a new `ApplicationResource` with a target name composed from the `application` parameter.

  Parameters:
    `application` - a String indicating the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with an `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

### ApplicationResource

    public ApplicationResource()

  Deprecated. As of 04/01/02.

  Creates an empty `ApplicationResource`.

### ApplicationResource

    public ApplicationResource(java.lang.String application,
                               Resource parent)

  Create an `ApplicationResource` who's parent resource is passed in.

  Parameters:
    `application` - a String indicating the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with an `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

    `parent` - the Resource to make returned by `getParentResource()`.

Method Detail

### initialize

    public void initialize(java.lang.String application)

  Deprecated. As of 04/01/02, the constructor should be used instead.

  Replaces the `application` parameter of the resource with the specified value.

  Parameters:
    `application` - a String indicating the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with an `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

### getKeys

    public java.lang.String[] getKeys()

  Gets keys for the `ApplicationResource`.

  Returns:
    an array of Strings containing the `ApplicationResource`'s keys.

  Overrides:
    getKeys in class ResourceBase

### makeParent

    protected Resource makeParent()

  Gets a `Resource` object that represents the parent of the current `ApplicationResource`. If the resource does not have a parent, the value of `null` must be returned.

  There is no inheritance hierachy inherent in an `ApplicationResource`. This returns the resource that was passed in to the `ApplicationResource` at creation time. This is why an `ApplicationResource` can appear in the parentage of `EISResource`s, `URLResource`s, and `WebResource`s.

  Returns:
    the `Resource` object of the parent resource.

  Overrides:
    makeParent in class ResourceBase

### equals

    public boolean equals(java.lang.Object obj)

  Compares this resource to the resource in the specified object.

  Parameters:
    `obj` - the other resource with which to compare this resource.

  Returns:
    `TRUE` if the resource passed in matches this resource, and `FALSE` otherwise.

  Overrides:
    equals in class ResourceBase
  See Also:
    `Object.equals(Object)`

### getType

    public java.lang.String getType()

  Gets the type of this resource (`ApplicationResource`).

  Returns:
    the type of this resource, represented as a String.

### reset

    public void reset()

  Deprecated. As of 04/01/02.

  Clears the parent resource, and all the values from the `ApplicationResource`.

  Overrides:
    reset in class ResourceBase

### getApplicationName

    public java.lang.String getApplicationName()

  Gets the name associated with the `ApplicationResource`.

  Returns:
    the name of the application in which the resource is deployed, represented as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference